#ifndef _BLE_DATA_H
#define _BLE_DATA_H

/****************************************************************************
 * Include Files
 */
#include <stddef.h>
#include <stdint.h>

#include "ble.h"
#include "ble_srv_common.h"
#include "nrf_ble_gatt.h"

/****************************************************************************
 * Global Functions
 */
extern uint32_t ble_data_init(uint8_t base_uuid_type, uint16_t service_handle);
extern void ble_data_finish();
extern void ble_data_on_ble_evt(ble_evt_t const *p_ble_evt, void *p_context);
extern void ble_data_on_ble_gatt_evt(nrf_ble_gatt_t *p_gatt,
        nrf_ble_gatt_evt_t const *p_evt);
extern bool ble_data_send(const uint8_t *data, size_t len, bool final_data);
extern bool ble_data_start();

#endif /* _BLE_DATA_H */

